Employee (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.pdx

## Class Employee

- java.lang.Object
- - org.apache.geode.pdx.Employee

- All Implemented Interfaces:
    PdxSerializable

      public class Employee
      extends java.lang.Object
      implements PdxSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Employee()`
    `Employee(java.lang.Long id, java.lang.String fn, java.lang.String ln)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `fromData(PdxReader in)` Deserializes the PDX fields using the given reader.
    `java.lang.String` | `getFname()`
    `java.lang.Long` | `getId()`
    `java.lang.String` | `getLname()`
    `int` | `hashCode()`
    `void` | `setFname(java.lang.String fname)`
    `void` | `setId(java.lang.Long id)`
    `void` | `setLname(java.lang.String lname)`
    `void` | `toData(PdxWriter out)` Serializes the PDX fields using the given writer.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Employee

          public Employee()

    - #### Employee

          public Employee(java.lang.Long id,
                          java.lang.String fn,
                          java.lang.String ln)

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

    - #### setId

          public void setId(java.lang.Long id)

    - #### getFname

          public java.lang.String getFname()

    - #### setFname

          public void setFname(java.lang.String fname)

    - #### getLname

          public java.lang.String getLname()

    - #### setLname

          public void setLname(java.lang.String lname)

    - #### fromData

          public void fromData(PdxReader in)

      Description copied from interface: `PdxSerializable`
      Deserializes the PDX fields using the given reader.
      Specified by:
        `fromData` in interface `PdxSerializable`
      Parameters:
        `in` - the `PdxReader` to use to read the PDX fields.

    - #### toData

          public void toData(PdxWriter out)

      Description copied from interface: `PdxSerializable`
      Serializes the PDX fields using the given writer.
      Specified by:
        `toData` in interface `PdxSerializable`
      Parameters:
        `out` - the `PdxWriter` to use to write the PDX fields.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`